<?php
require_once ("../config/db.php");
require_once ("../config/conexion.php");
	
	$paginaActual = $_POST['partida'];
	$cond="Liquidar";
    $nroProductos = mysql_num_rows(mysql_query("SELECT * FROM facturas WHERE condiciones!='$cond';"));
    $nroLotes = 30;
    $nroPaginas = ceil($nroProductos/$nroLotes);
    $lista = '';
    $tabla = '';

    if($paginaActual > 1){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual-1).');">Anterior</a></li>';
    }
    for($i=1; $i<=$nroPaginas; $i++){
        if($i == $paginaActual){
            $lista = $lista.'<li class="active"><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }else{
            $lista = $lista.'<li><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }
    }
    if($paginaActual < $nroPaginas){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual+1).');">Siguiente</a></li>';
    }
  
  	if($paginaActual <= 1){
  		$limit = 0;
  	}else{
  		$limit = $nroLotes*($paginaActual-1);
  	}
	
		
  	$registro = mysql_query("SELECT * FROM facturas WHERE condiciones!='$cond' LIMIT $limit, $nroLotes ");


  	$tabla = $tabla.'<table class="table-responsive" align="center">
			  <table class="table">
                  <tr>
              		<td colspan="6" class="text-right">
     					<a href="imp_ctas_cobrar.php"><button type="button" class="btn btn-info"><span class="glyphicon glyphicon-print" ></span> Imprimir</button></a>
                     </td>
                </tr>
				<tr  class="info">
					<td>#</strong></td> 
    				<th>Razon Social</th>
    				<th>Fecha factura</th>
					<th>Num factura</th>
					<th>Total</th>
					<th>Despachado</th>
				</tr>';
				
	           	$item=0;
				$total=0;
		if(mysql_num_rows($registro)>0)
			{
				while ($dato=mysql_fetch_array($registro))
				{
					$cli=$dato['id_cliente'];
					$con_cliente = mysql_query("select * from clientes where id_cliente='$cli'");
					$da=mysql_fetch_array($con_cliente);
					$tipo_cliente=$da['organizacion_cliente'];
					$dir_cliente=$da['direccion_cliente'];
					$nom_cliente=$da['nombre_cliente'];
					$fecha=$dato['fecha_factura'];
					$num=$dato['numero_factura'];
   					$base=$dato['total_venta']/(1+(TAX/100));
					$iva=($base*TAX)/100;
					$pro=$dato['total_venta'];
					$id=$dato['id_factura'];

	
					$con_despacho = mysql_query("select * from despachos where factura='$num'");
					if(mysql_num_rows($con_despacho)>0)
					{
						$despachado="SI";
					}
					else
					{
						$despachado="NO";	
					}
					$item=$item+1;
					
		
		$tabla = $tabla.'<tr>
    				<td>'.$item.'</td>
    				<td>'.$nom_cliente.'</td>
    				<td>'.$fecha.'</td>
    				<td>'.$num.'</td>
    				<td>$. '.$pro.'</td>
    				<td>'.$despachado.'</td>
    			   </tr>';	
	   $total=$total+$pro;   
	}
   
    $tabla = $tabla.'
           		<tr>
					<td></td>
					<td></td>
					<td></td>
					<td>Monto Por Cobrar</td>
					<td>$. '.$total.'</td>
                    <td></td>
				</tr>';
				}
			else
			{
				$tabla = $tabla.'<tr>
				<td colspan="6">No se encontraron resultados</td>
			</tr>';
			}         
				$tabla = $tabla.'<tr>
				
					<td colspan=6>
                    	<span class="pull-right">
						<?php
					 		echo paginate($reload, $page, $total_pages, $adjacents);
						?>
                        </span>
                    </td>
				</tr>
			</table>';


    $array = array(0 => $tabla,
    			   1 => $lista);

    echo json_encode($array);
?>